Package org.gradle.testing.base

## Interface TestSuiteSpec

- All Superinterfaces:
    `ComponentSpec`, `GeneralComponentSpec`, `ModelElement`, `Named`, `SourceComponentSpec`, `VariantComponent`, `VariantComponentSpec`
  All Known Subinterfaces:
    `CUnitTestSuiteSpec`, `GoogleTestTestSuiteSpec`, `JUnitTestSuiteSpec`, `JvmTestSuiteSpec`, `NativeTestSuiteSpec`

      @Incubating
      public interface TestSuiteSpec
      extends GeneralComponentSpec

  A component representing a suite of tests that will be built and executed together.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ComponentSpec` | `getTestedComponent()` | The tested component.
    `void` | `setTestedComponent​(ComponentSpec testedComponent)` | Sets the tested component.
    `void` | `testing​(ComponentSpec testedComponent)` | Sets the tested component.

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.platform.base.SourceComponentSpec

      `getSources`

    - ### Methods inherited from interface org.gradle.platform.base.VariantComponent

      `getName, getVariants`

    - ### Methods inherited from interface org.gradle.platform.base.VariantComponentSpec

      `getBinaries`

- - ### Method Detail

    - #### getTestedComponent

          ComponentSpec getTestedComponent()

      The tested component.

    - #### setTestedComponent

          void setTestedComponent​(ComponentSpec testedComponent)

      Sets the tested component.
      Parameters:
        `testedComponent` - the component under test

    - #### testing

          void testing​(ComponentSpec testedComponent)

      Sets the tested component.
      Parameters:
        `testedComponent` - the component under test